/* Blinker
   Copyright 2011-2014 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_FLOAT_H
#define BLINKER_FLOAT_H

#include <string>

namespace Blinker {

/// a floating point value
class Float
{
public:
  /// constructor
  Float();

public:
  /**
   * @brief parse from string format
   * @param[in] str string format
   * @return if parsing was successful
   */
  bool fromStr(const std::string &str);

  /**
   * @brief convert to string format
   * @return string format
   */
  std::string toStr() const;

public:
  float m_float; ///< floating point value
}; // class Float

} // namespace Blinker

#endif // #ifndef BLINKER_FLOAT_H

